diff -Nru dpkg-1.17.5ubuntu5/src/archives.c dpkg-1.17.5ubuntu6/src/archives.c
--- dpkg-1.17.5ubuntu5/src/archives.c	2013-12-10 07:15:02.000000000 +0100
+++ dpkg-1.17.5ubuntu6/src/archives.c	2014-03-18 18:41:32.000000000 +0100
@@ -880,6 +880,11 @@
     }
     break;
   case tar_filetype_dir:
+     // warn if a previous fs symlink becomes a dir
+     if (lstat(fnamevb.buf,&stabtmp) == 0 && S_ISLNK(stabtmp.st_mode)) {
+        warning(_("New directory %s is currently a symlink, things may go bad. See debian policy §6.6.4"), fnamevb.buf);
+     }
+
     /* If it's already an existing directory, do nothing. */
     if (!stat(fnamevb.buf,&stabtmp) && S_ISDIR(stabtmp.st_mode)) {
       debug(dbg_eachfiledetail, "tarobject directory exists");
